# ClothSolverResult(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``ClothSolverResult`(bpy_struct)

  Result of cloth solver iteration

  `avg_error`

    Average error during substeps

    Type: | float in [-inf, inf], default 0.0, (readonly)

  `avg_iterations`

    Average iterations during substeps

    Type: | float in [-inf, inf], default 0.0, (readonly)

  `max_error`

    Maximum error during substeps

    Type: | float in [-inf, inf], default 0.0, (readonly)

  `max_iterations`

    Maximum iterations during substeps

    Type: | int in [-inf, inf], default 0, (readonly)

  `min_error`

    Minimum error during substeps

    Type: | float in [-inf, inf], default 0.0, (readonly)

  `min_iterations`

    Minimum iterations during substeps

    Type: | int in [-inf, inf], default 0, (readonly)

  `status`

    Status of the solver iteration

    - `SUCCESS` Success, Computation was successful.
    - `NUMERICAL_ISSUE` Numerical Issue, The provided data did not satisfy the prerequisites.
    - `NO_CONVERGENCE` No Convergence, Iterative procedure did not converge.
    - `INVALID_INPUT` Invalid Input, The inputs are invalid, or the algorithm has been improperly called.

    Type: | enum set in {‘SUCCESS’, ‘NUMERICAL_ISSUE’, ‘NO_CONVERGENCE’, ‘INVALID_INPUT’}, default {‘SUCCESS’}, (readonly)

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`ClothModifier.solver_result` |